# Uses of Enum Class
com.sun.net.httpserver.SimpleFileServer.OutputLevel

Packages that use SimpleFileServer.OutputLevel
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of SimpleFileServer.OutputLevel in com.sun.net.httpserver

Subclasses with type arguments of type SimpleFileServer.OutputLevel in com.sun.net.httpserver
Modifier and Type
Class
Description
`static enum`
`SimpleFileServer.OutputLevel`
Describes the log message output level produced by the server when processing exchanges.
Methods in com.sun.net.httpserver that return SimpleFileServer.OutputLevel
Modifier and Type
Method
Description
`static SimpleFileServer.OutputLevel`
SimpleFileServer.OutputLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SimpleFileServer.OutputLevel[]`
SimpleFileServer.OutputLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.sun.net.httpserver with parameters of type SimpleFileServer.OutputLevel
Modifier and Type
Method
Description
`static HttpServer`
SimpleFileServer.`createFileServer(InetSocketAddress addr, Path rootDirectory, SimpleFileServer.OutputLevel outputLevel)`
Creates a file server that serves files from a given path.
`static Filter`
SimpleFileServer.`createOutputFilter(OutputStream out, SimpleFileServer.OutputLevel outputLevel)`
Creates a post-processing Filter that prints log messages about exchanges.